# Interface methods for submodule: SingleValuedNonLinearVnlOptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SingleValuedNonLinearOptimizerProxy as _SingleValuedNonLinearOptimizerProxy


# Interface methods for class: SingleValuedNonLinearVnlOptimizer
class SingleValuedNonLinearVnlOptimizerProxy(_SingleValuedNonLinearOptimizerProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetCostFunction(self, costFunction) -> None:
		""""""
		...

	def GetMaximize(self) -> bool:
		""""""
		...

	def SetMaximize(self, _arg: bool) -> None:
		""""""
		...

	def MaximizeOn(self) -> None:
		""""""
		...

	def MaximizeOff(self) -> None:
		""""""
		...

	def GetMinimize(self) -> bool:
		""""""
		...

	def SetMinimize(self, v: bool) -> None:
		""""""
		...

	def MinimizeOn(self) -> None:
		""""""
		...

	def MinimizeOff(self) -> None:
		""""""
		...

	def GetCachedValue(self) -> float:
		""""""
		...

	def GetCachedDerivative(self) -> Sequence[float]:
		""""""
		...

	def GetCachedCurrentPosition(self):
		""""""
		...

	def CanUseScales(self) -> bool:
		""""""
		...

